# The Powder Toy - Switch Port

![powder-nx](/resources/powder-nx.png "powder-nx")

Have you ever wanted to blow something up? Or maybe you always dreamt of operating an atomic power plant? Do you have a will to develop your own CPU? The Powder Toy lets you to do all of these, and even more!

The Powder Toy is a free physics sandbox game, which simulates air pressure and velocity, heat, gravity and a countless number of interactions between different substances! The game provides you with various building materials, liquids, gases and electronic components which can be used to construct complex machines, guns, bombs, realistic terrains and almost anything else. You can then mine them and watch cool explosions, add intricate wirings, play with little stickmen or operate your machine. You can browse and play thousands of different saves made by the community or upload your own – we welcome your creations!

Get the latest version [from the releases GitHub page](https://github.com/VelocityRa/powder-nx/releases).

The official website is [powdertoy.co.uk](https://powdertoy.co.uk).
You can also visit [the official TPT forum](https://powdertoy.co.uk/Discussions/Categories/Index.html).

## Instructions

Touch on the screen to draw like in MS Paint. Change materials from the icons in the sidebar and the bottom of the screen. The rest of the game is learning what happens next.

Controls
===========================================================================

| Key                     | Action                                                          |
| ----------------------- | --------------------------------------------------------------- |
| L/R | Bigger/smaller brush size |
| ZL + touch | Paint with secondary brush |
| ZR | Change view mode |
| X | Switch between circle/square/triangle brush |
| Y | Zoom |
| Left/Right Dpad | Undo/Redo |
| Plus | Pause |
| Minus | Show/hide HUD |
| Left thumbstick press | Sample element (mapped to Alt) |
| Right thumbstick press | Draw line (mapped to Shift) |
| Up/Down Dpad | Copy/Paste Area |
| A | Show intro text |

## Missing features in Switch Port

* Simulation Options
* Stamps
* Save Browser, saving & loading
* Online functionality
* Screenshots

These might be worked on in later versions.

## Build instructions

```bash
./build.sh
./nro.sh # if desired
./nso.sh # if desired
```

## Credits

* Stanislaw K Skowronek - Designed the original
* Simon Robertshaw
* Skresanov Savely
* cracker64
* Catelite
* Bryan Hoyle
* Nathan Cousins
* jacksonmj
* Felix Wallin
* Lieuwe Mosch
* Anthony Boot
* Matthew "me4502"
* MaksProg
* jacob1
* mniip
* LBPHacker

Swich Port by:
* VelocityRa
